### Constructor

# Gtk Scale new

#### Declaration [src]

    GtkWidget*
    gtk_scale_new (
      GtkOrientation orientation,
      GtkAdjustment* adjustment
    )

#### Description [src]

Creates a new `GtkScale`.

#### Parameters

`orientation` | `GtkOrientation`
| The scale’s orientation.
`adjustment` | `GtkAdjustment`
| The `GtkAdjustment` which sets the range of the scale, or `NULL` to create a new adjustment.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A new `GtkScale`.
| The data is owned by the called function.